
@echo off
chcp 65001>nul
cd /d "%~dp0"


set Src0=%~n1.dir
set Src1=%~n1.arc
If Not Exist "%Src0%" echo. &&echo  [ Src0:%Src0% ] Not Found. &&echo. &&pause &&goto End
If Not Exist "%Src1%" echo. &&echo  [ Src0:%Src1% ] Not Found. &&echo. &&pause &&goto End

set Dest0=%~n1
If Exist "%Dest0%" echo. &&echo  [ Dest0:%Dest0% ] Aleady Existed. &&echo. &&pause &&goto End


set exePATH=%~dp0_exe

set qbms_exe=%exePATH%\quickbms.exe
If Not Exist "%qbms_exe%" echo. &&echo  [ _exe\quickbms.exe ] Not Found. &&echo. &&pause &&goto End

set bms0=%exePATH%\Xanadu_Next-ARC-EXTRACT.bms
If Not Exist "%bms0%" echo. &&echo  [ %bms0% ] Not Found. &&echo. &&pause &&goto End



REM  -------------------------------------------------

"%qbms_exe%" -D -o -Y "%bms0%" "%Src0%" "%Dest0%"

REM  -------------------------------------------------



:End
REM  
echo. &&pause
